#!/usr/bin/perl -w
#
# Author: Stephane GALLAND <galland@arakhne.org>
# Copyright (C) 2007, Stephane GALLAND, under GPL
#
# Creating for the Debian package of UML2SVG.

use strict;

use File::Copy;

my $VERSION = $ARGV[0];
my $SOURCEFILE = $ARGV[1];
my $TARGETFILE = $ARGV[1];

$TARGETFILE =~ s/\.template\.perl/.perl/;

local *FID;
open(*FID,"< $SOURCEFILE") or die("$SOURCEFILE: $!\n");

local *FOUT;
open(*FOUT,"> $TARGETFILE") or die("$TARGETFILE: $!\n");

foreach my $line (<FID>) {

	if ($line =~ /^\s*my\s+\$VERSION\s+=\s+\"VERSION\";\s*$/) {
		$line =~ s/\"VERSION\"/\"$VERSION\"/;
	}

	print FOUT "$line";

}

close(*FID);
close(*FOUT);

exit 0;
__END__
